﻿//======================================================================
//
//	Cross-Platform XNA Menu System
//  http://cpxms.codeplex.com/
//
//  All code and content licensed under Microsoft Public License (Ms-PL)	
//
//======================================================================
//
//	File:		EditorSupport.cs
//
//	Author:		MJP
//
//	Date:		04/17/09
//
//======================================================================

// This class contains "dummy" definitions of classes used for editor 
// support, but aren't available  in the Xbox 360 version of the 
// project.  This is so the code doesn't have to be littered with
// conditional compilation statements.


using System;

namespace CPXMenu
{
#if XBOX
    public class BrowsableAttribute : Attribute
    {
        public BrowsableAttribute(bool browsable)
        {
        }
    }

    public class DescriptionAttribute : Attribute
    {
        string description = string.Empty;

        public DescriptionAttribute(String description)
        {
            this.description = description;   
        }

        public string Description
        {
            get { return description; }
        }
    }

    public class CategoryAttribute : Attribute
    {
        public CategoryAttribute(String category)
        {
        }
    }

    public class EditorAttribute : Attribute
    {
        public EditorAttribute(Type type1, Type type2)
        {
        }
    }

    public class ReadOnlyAttribute : Attribute
    {
        public ReadOnlyAttribute(bool readOnly)
        {
        }
    }

    public class TypeConverterAttribute : Attribute
    {
        public TypeConverterAttribute(Type type)
        {
        }
    }

    public class DisplayNameAttribute : Attribute
    {
        string displayName = string.Empty;

        public DisplayNameAttribute(string displayName)
        {
            this.displayName = displayName;
        }

        public string DisplayName
        {
            get { return displayName; }
        }
    }

    public class ExpandableObjectConverter
    {
    }    

    public class UITypeEditor
    {
    }

    public class PagePickerEditor : UITypeEditor
    {
    }

    public class ColorPickerEditor : UITypeEditor
    {
    }

    public class FlipEffectConfigEditor : UITypeEditor
    {
    }
    
#endif

}

#if XBOX
namespace System.Drawing.Design
{
    /// <summary>
	/// Just used to actually put something in the namespace for the PC.
	/// If we didn't have this, while you're typing code VS will have a 
	/// red squiggly by the namespace because it doesn'te exist.
	/// </summary>
    internal class DummyClass
    {
    }
}

namespace ContentBrowser
{
    internal class ContentBrowserEditor<T> : CPXMenu.UITypeEditor
    {

    }
}
#endif